%define pkg_name        Bot-BasicBot-Pluggable-Module-Tools
%define pkg_version     0.96
%define rpm_pkg_version 0.96
%define rpm_pkg_release 1.n0i.1

Summary:       A miscellany of useful plugins for Bot::BasicBot::Pluggable 
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}

Group:         Development/Libraries
License:       Artistic
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/authors/id/S/SI/SIMONW/%{pkg_name}-%{pkg_version}.tar.gz

BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: reb00t-rpmdevtools
BuildRequires: perl(Module::Build)
# it's not maintained
# BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Bot::BasicBot::Pluggable) >= 0.5
BuildRequires: perl(Finance::Currency::Convert::XE)
BuildRequires: perl(Finance::Quote)
BuildRequires: perl(Lingua::Ispell)
BuildRequires: perl(Lingua::Translate)
BuildRequires: perl(Locale::Language)
BuildRequires: perl(Math::Expression)
BuildRequires: perl(Math::Units)
BuildRequires: perl(WWW::Shorten)


%description
%{summary}.


%prep
%setup -q -n %{pkg_name}-%{pkg_version}
%{__cat} << 'EOF' > Makefile.PL
use Module::Build::Compat;
Module::Build::Compat->run_build_pl(args => \@ARGV);
Module::Build::Compat->write_makefile();
EOF


%build
%{perl_build}
%{!?_without_test:%{__make} test}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_files}
%doc README


%changelog
* Fri Jun 15 2007 Marius Feraru <altblue@n0i.net> - 0.96-1.n0i.1
- spec file (re)created using N0i::CPAN::RPMizer/1.14.9
